Security
Show directory sync, its tokens, and the SCIM base URL to give the identity provider
GET /v1/directory · SDK getDirectory · CLI deployments directory show
GET
Requires members:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$DirectoryResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedefaultRole*stringValue in
"member""viewer"scimBaseUrl*stringtokens*array<>updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X GET "https://example.com/v1/directory" \ -H "x-deployments-organization: string"{ "createdAt": "2019-08-24T14:15:22Z", "defaultRole": "member", "scimBaseUrl": "string", "tokens": [ { "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "id": "string", "tokenPrefix": "string" } ], "updatedAt": "2019-08-24T14:15:22Z"}